## qt-x11-free 3.1.1+cvs.20021220-0woody1-jp2

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# 

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:
