=== qt-build-dir/examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:19 2003
# Project:  ../../examples/examples.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../examples/examples.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-aclock \
		sub-action \
		sub-action-toggleaction \
		sub-addressbook \
		sub-application \
		sub-buttongroups \
		sub-checklists \
		sub-cursor \
		sub-customlayout \
		sub-dclock \
		sub-demo \
		sub-dirview \
		sub-dragdrop \
		sub-drawdemo \
		sub-drawlines \
		sub-extension \
		sub-fonts \
		sub-forever \
		sub-gridview \
		sub-hello \
		sub-helpviewer \
		sub-i18n \
		sub-layout \
		sub-life \
		sub-lineedits \
		sub-listboxcombo \
		sub-listbox \
		sub-listviews \
		sub-menu \
		sub-movies \
		sub-picture \
		sub-popup \
		sub-process \
		sub-progress \
		sub-progressbar \
		sub-qdir \
		sub-qfd \
		sub-qmag \
		sub-qtl \
		sub-qwerty \
		sub-rangecontrols \
		sub-richtext \
		sub-rot13 \
		sub-scribble \
		sub-scrollview \
		sub-showimg \
		sub-splitter \
		sub-tabdialog \
		sub-tetrix \
		sub-textedit \
		sub-themes \
		sub-tictac \
		sub-tooltip \
		sub-tux \
		sub-widgets \
		sub-wizard \
		sub-xform \
		sub-canvas \
		sub-chart \
		sub-fileiconview \
		sub-iconview \
		sub-iconview-simple_dd \
		sub-network-clientserver-client \
		sub-network-clientserver-server \
		sub-network-ftpclient \
		sub-network-httpd \
		sub-network-infoprotocol-infoclient \
		sub-network-infoprotocol-infoserver \
		sub-network-infoprotocol-infourlclient \
		sub-network-mail \
		sub-network-networkprotocol \
		sub-network-remotecontrol \
		sub-mdi \
		sub-table-statistics \
		sub-table-small-table-demo \
		sub-table-bigtable \
		sub-sql \
		sub-xml-outliner \
		sub-xml-tagreader \
		sub-xml-tagreader-with-features

first: all

all: Makefile $(SUBTARGETS)

aclock/$(MAKEFILE): 
	cd aclock && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-aclock: aclock/$(MAKEFILE) FORCE
	cd aclock && $(MAKE) -f $(MAKEFILE)

action/$(MAKEFILE): 
	cd action && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-action: action/$(MAKEFILE) FORCE
	cd action && $(MAKE) -f $(MAKEFILE)

action/toggleaction/$(MAKEFILE): 
	cd action/toggleaction && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-action-toggleaction: action/toggleaction/$(MAKEFILE) FORCE
	cd action/toggleaction && $(MAKE) -f $(MAKEFILE)

addressbook/$(MAKEFILE): 
	cd addressbook && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-addressbook: addressbook/$(MAKEFILE) FORCE
	cd addressbook && $(MAKE) -f $(MAKEFILE)

application/$(MAKEFILE): 
	cd application && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application && $(MAKE) -f $(MAKEFILE)

buttongroups/$(MAKEFILE): 
	cd buttongroups && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-buttongroups: buttongroups/$(MAKEFILE) FORCE
	cd buttongroups && $(MAKE) -f $(MAKEFILE)

checklists/$(MAKEFILE): 
	cd checklists && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-checklists: checklists/$(MAKEFILE) FORCE
	cd checklists && $(MAKE) -f $(MAKEFILE)

cursor/$(MAKEFILE): 
	cd cursor && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-cursor: cursor/$(MAKEFILE) FORCE
	cd cursor && $(MAKE) -f $(MAKEFILE)

customlayout/$(MAKEFILE): 
	cd customlayout && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-customlayout: customlayout/$(MAKEFILE) FORCE
	cd customlayout && $(MAKE) -f $(MAKEFILE)

dclock/$(MAKEFILE): 
	cd dclock && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dclock: dclock/$(MAKEFILE) FORCE
	cd dclock && $(MAKE) -f $(MAKEFILE)

demo/$(MAKEFILE): 
	cd demo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-demo: demo/$(MAKEFILE) FORCE
	cd demo && $(MAKE) -f $(MAKEFILE)

dirview/$(MAKEFILE): 
	cd dirview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dirview: dirview/$(MAKEFILE) FORCE
	cd dirview && $(MAKE) -f $(MAKEFILE)

dragdrop/$(MAKEFILE): 
	cd dragdrop && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dragdrop: dragdrop/$(MAKEFILE) FORCE
	cd dragdrop && $(MAKE) -f $(MAKEFILE)

drawdemo/$(MAKEFILE): 
	cd drawdemo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-drawdemo: drawdemo/$(MAKEFILE) FORCE
	cd drawdemo && $(MAKE) -f $(MAKEFILE)

drawlines/$(MAKEFILE): 
	cd drawlines && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-drawlines: drawlines/$(MAKEFILE) FORCE
	cd drawlines && $(MAKE) -f $(MAKEFILE)

extension/$(MAKEFILE): 
	cd extension && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-extension: extension/$(MAKEFILE) FORCE
	cd extension && $(MAKE) -f $(MAKEFILE)

fonts/$(MAKEFILE): 
	cd fonts && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-fonts: fonts/$(MAKEFILE) FORCE
	cd fonts && $(MAKE) -f $(MAKEFILE)

forever/$(MAKEFILE): 
	cd forever && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-forever: forever/$(MAKEFILE) FORCE
	cd forever && $(MAKE) -f $(MAKEFILE)

gridview/$(MAKEFILE): 
	cd gridview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-gridview: gridview/$(MAKEFILE) FORCE
	cd gridview && $(MAKE) -f $(MAKEFILE)

hello/$(MAKEFILE): 
	cd hello && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-hello: hello/$(MAKEFILE) FORCE
	cd hello && $(MAKE) -f $(MAKEFILE)

helpviewer/$(MAKEFILE): 
	cd helpviewer && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-helpviewer: helpviewer/$(MAKEFILE) FORCE
	cd helpviewer && $(MAKE) -f $(MAKEFILE)

i18n/$(MAKEFILE): 
	cd i18n && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-i18n: i18n/$(MAKEFILE) FORCE
	cd i18n && $(MAKE) -f $(MAKEFILE)

layout/$(MAKEFILE): 
	cd layout && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-layout: layout/$(MAKEFILE) FORCE
	cd layout && $(MAKE) -f $(MAKEFILE)

life/$(MAKEFILE): 
	cd life && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-life: life/$(MAKEFILE) FORCE
	cd life && $(MAKE) -f $(MAKEFILE)

lineedits/$(MAKEFILE): 
	cd lineedits && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-lineedits: lineedits/$(MAKEFILE) FORCE
	cd lineedits && $(MAKE) -f $(MAKEFILE)

listboxcombo/$(MAKEFILE): 
	cd listboxcombo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listboxcombo: listboxcombo/$(MAKEFILE) FORCE
	cd listboxcombo && $(MAKE) -f $(MAKEFILE)

listbox/$(MAKEFILE): 
	cd listbox && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listbox: listbox/$(MAKEFILE) FORCE
	cd listbox && $(MAKE) -f $(MAKEFILE)

listviews/$(MAKEFILE): 
	cd listviews && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listviews: listviews/$(MAKEFILE) FORCE
	cd listviews && $(MAKE) -f $(MAKEFILE)

menu/$(MAKEFILE): 
	cd menu && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-menu: menu/$(MAKEFILE) FORCE
	cd menu && $(MAKE) -f $(MAKEFILE)

movies/$(MAKEFILE): 
	cd movies && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-movies: movies/$(MAKEFILE) FORCE
	cd movies && $(MAKE) -f $(MAKEFILE)

picture/$(MAKEFILE): 
	cd picture && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-picture: picture/$(MAKEFILE) FORCE
	cd picture && $(MAKE) -f $(MAKEFILE)

popup/$(MAKEFILE): 
	cd popup && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-popup: popup/$(MAKEFILE) FORCE
	cd popup && $(MAKE) -f $(MAKEFILE)

process/$(MAKEFILE): 
	cd process && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-process: process/$(MAKEFILE) FORCE
	cd process && $(MAKE) -f $(MAKEFILE)

progress/$(MAKEFILE): 
	cd progress && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-progress: progress/$(MAKEFILE) FORCE
	cd progress && $(MAKE) -f $(MAKEFILE)

progressbar/$(MAKEFILE): 
	cd progressbar && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-progressbar: progressbar/$(MAKEFILE) FORCE
	cd progressbar && $(MAKE) -f $(MAKEFILE)

qdir/$(MAKEFILE): 
	cd qdir && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qdir: qdir/$(MAKEFILE) FORCE
	cd qdir && $(MAKE) -f $(MAKEFILE)

qfd/$(MAKEFILE): 
	cd qfd && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qfd: qfd/$(MAKEFILE) FORCE
	cd qfd && $(MAKE) -f $(MAKEFILE)

qmag/$(MAKEFILE): 
	cd qmag && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qmag: qmag/$(MAKEFILE) FORCE
	cd qmag && $(MAKE) -f $(MAKEFILE)

qtl/$(MAKEFILE): 
	cd qtl && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qtl: qtl/$(MAKEFILE) FORCE
	cd qtl && $(MAKE) -f $(MAKEFILE)

qwerty/$(MAKEFILE): 
	cd qwerty && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qwerty: qwerty/$(MAKEFILE) FORCE
	cd qwerty && $(MAKE) -f $(MAKEFILE)

rangecontrols/$(MAKEFILE): 
	cd rangecontrols && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-rangecontrols: rangecontrols/$(MAKEFILE) FORCE
	cd rangecontrols && $(MAKE) -f $(MAKEFILE)

richtext/$(MAKEFILE): 
	cd richtext && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-richtext: richtext/$(MAKEFILE) FORCE
	cd richtext && $(MAKE) -f $(MAKEFILE)

rot13/$(MAKEFILE): 
	cd rot13 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-rot13: rot13/$(MAKEFILE) FORCE
	cd rot13 && $(MAKE) -f $(MAKEFILE)

scribble/$(MAKEFILE): 
	cd scribble && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-scribble: scribble/$(MAKEFILE) FORCE
	cd scribble && $(MAKE) -f $(MAKEFILE)

scrollview/$(MAKEFILE): 
	cd scrollview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-scrollview: scrollview/$(MAKEFILE) FORCE
	cd scrollview && $(MAKE) -f $(MAKEFILE)

showimg/$(MAKEFILE): 
	cd showimg && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-showimg: showimg/$(MAKEFILE) FORCE
