=== qt-build-dir/extensions/Makefile ===
#############################################################################
# Makefile for building: extensions
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:20 2003
# Project:  ../../extensions/extensions.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	

first: all

all: Makefile $(SUBTARGETS)

Makefile: ../../extensions/extensions.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro

all qmake_all distclean install uiclean mocclean lexclean yaccclean clean: FORCE
FORCE:
