=== qt-build-dir/qmake/Makefile ===
########################################################################
## This file was autogenerated by configure, all changes will be lost ##
########################################################################
CC		= gcc
CXX		= g++

#qmake code
OBJS=project.o main.o makefile.o unixmake2.o unixmake.o borland_bmake.o \
     msvc_nmake.o msvc_dsp.o msvc_vcproj.o option.o winmakefile.o \
     projectgenerator.o metrowerks_xml.o  pbuilder_pbx.o msvc_objectmodel.o

#qt code
QOBJS=qstring.o qtextstream.o qiodevice.o qglobal.o qgdict.o qcstring.o \
      qdatastream.o qgarray.o qbuffer.o qglist.o qptrcollection.o qfile.o \
      qfile_unix.o qregexp.o qgvector.o qgcache.o qbitarray.o qdir.o quuid.o \
      qfileinfo_unix.o qdir_unix.o qfileinfo.o qdatetime.o qstringlist.o qmap.o \
      qconfig.o

CFLAGS=  \
	-I. -Igenerators -Igenerators/unix -Igenerators/win32 -Igenerators/mac \
	-I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/include/qmake -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/include -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/include \
	-DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQT_LITE_COMPONENT -DQT_NO_STL \
	-DQT_NO_COMPRESS -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++
CXXFLAGS= $(CFLAGS)
LFLAGS=

qmake: $(OBJS) $(QOBJS)
	$(CXX) -o $@ $(OBJS) $(QOBJS) $(LFLAGS)
	rm -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/$@
	ln -s ../qmake/$@ /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/$@

install: qmake
	[ -d $(INSTALL_ROOT)/usr/bin ] || mkdir -p $(INSTALL_ROOT)/usr/bin
	-cp -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake $(INSTALL_ROOT)/usr/bin
	[ -d $(INSTALL_ROOT)/usr/share/qt ] || mkdir -p $(INSTALL_ROOT)/usr/share/qt
	-cp -r -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs $(INSTALL_ROOT)/usr/share/qt

clean::
	rm -f $(OBJS) $(QOBJS)

distclean:: clean
	rm -rf qmake .deps

# don't use optimization for these
qtextstream.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qtextstream.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qtextstream.cpp

qiodevice.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qiodevice.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qiodevice.cpp

qglobal.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglobal.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglobal.cpp

qgdict.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgdict.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgdict.cpp

qcstring.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qcstring.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qcstring.cpp

qstring.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstring.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstring.cpp

qdatastream.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatastream.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatastream.cpp

qgarray.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgarray.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgarray.cpp

qbuffer.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbuffer.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbuffer.cpp

qglist.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglist.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglist.cpp

qptrcollection.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qptrcollection.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qptrcollection.cpp

qfile.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile.cpp

qfile_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile_unix.cpp

qregexp.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qregexp.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qregexp.cpp

qgvector.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgvector.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgvector.cpp

qgcache.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgcache.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgcache.cpp

qbitarray.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbitarray.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbitarray.cpp

qdir.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir.cpp

quuid.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/quuid.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/quuid.cpp

qfileinfo_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo_unix.cpp

qdir_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir_unix.cpp

qfileinfo.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo.cpp

qdatetime.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatetime.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatetime.cpp

qstringlist.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstringlist.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstringlist.cpp

qmap.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qmap.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qmap.cpp

qconfig.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/src/tools/qconfig.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/src/tools/qconfig.cpp

winmakefile.o: generators/win32/winmakefile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/winmakefile.cpp

project.o: project.cpp project.h option.h
	$(CXX) -c -o $@ $(CXXFLAGS) project.cpp

main.o: main.cpp project.h
	$(CXX) -c -o $@ $(CXXFLAGS) main.cpp

option.o: option.cpp option.h
	$(CXX) -c -o $@ $(CXXFLAGS) option.cpp

makefile.o: generators/makefile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/makefile.cpp

unixmake.o: generators/unix/unixmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/unix/unixmake.cpp

unixmake2.o: generators/unix/unixmake2.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/unix/unixmake2.cpp

borland_bmake.o: generators/win32/borland_bmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/borland_bmake.cpp

msvc_objectmodel.o: generators/win32/msvc_objectmodel.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_objectmodel.cpp

msvc_vcproj.o: generators/win32/msvc_vcproj.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_vcproj.cpp

msvc_nmake.o: generators/win32/msvc_nmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_nmake.cpp

metrowerks_xml.o: generators/mac/metrowerks_xml.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/mac/metrowerks_xml.cpp

pbuilder_pbx.o: generators/mac/pbuilder_pbx.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/mac/pbuilder_pbx.cpp

msvc_dsp.o: generators/win32/msvc_dsp.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_dsp.cpp

projectgenerator.o: generators/projectgenerator.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/projectgenerator.cpp

#default rules
.c.o:
	$(CC) -c -o $@ $(CFLAGS) $<

.cpp.o:
	$(CXX) -c -o $@ $(CXXFLAGS) $<
