=== qt-build-dir/src/Makefile ===
#############################################################################
# Makefile for building: libqt.a
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:13 2003
# Project:  ../../src/qt.pro
# Template: lib
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../src/qt.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2 -DQT_NO_DEBUG -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DQT_NAS_SUPPORT -DQT_SQL_POSTGRES -DQT_SQL_MYSQL -DQT_SQL_ODBC -DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2 -DQT_NO_DEBUG -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DQT_NAS_SUPPORT -DQT_SQL_POSTGRES -DQT_SQL_MYSQL -DQT_SQL_ODBC -DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../src -I/usr/include/freetype2 -I../include -I../../include -I/usr/X11R6/include -I. -I.moc/release-static/
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../src/kernel/qabstractlayout.h \
		../../src/kernel/qaccel.h \
		../../src/kernel/qucomextra_p.h \
		../../src/kernel/qapplication.h \
		../../src/kernel/qapplication_p.h \
		../../src/kernel/qasyncimageio.h \
		../../src/kernel/qasyncio.h \
		../../src/kernel/qbitmap.h \
		../../src/kernel/qbrush.h \
		../../src/kernel/qclipboard.h \
		../../src/kernel/qcolor.h \
		../../src/kernel/qcolor_p.h \
		../../src/kernel/qcomplextext_p.h \
		../../src/kernel/qconnection.h \
		../../src/kernel/qcursor.h \
		../../src/kernel/qdesktopwidget.h \
		../../src/kernel/qdragobject.h \
		../../src/kernel/qdrawutil.h \
		../../src/kernel/qdropsite.h \
		../../src/kernel/qevent.h \
		../../src/kernel/qeventloop.h \
		../../src/kernel/qeventloop_p.h \
		../../src/kernel/qfocusdata.h \
		../../src/kernel/qfont.h \
		../../src/kernel/qfontdata_p.h \
		../../src/kernel/qfontinfo.h \
		../../src/kernel/qfontmetrics.h \
		../../src/kernel/qguardedptr.h \
		../../src/kernel/qgif.h \
		../../src/kernel/qiconset.h \
		../../src/kernel/qimage.h \
		../../src/kernel/qimageformatinterface_p.h \
		../../src/kernel/qimageformatplugin.h \
		../../src/kernel/qinputcontext_p.h \
		../../src/kernel/qkeycode.h \
		../../src/kernel/qkeysequence.h \
		../../src/kernel/qlayout.h \
		../../src/kernel/qlayoutengine_p.h \
		../../src/kernel/qtranslator.h \
		../../src/kernel/qmetaobject.h \
		../../src/kernel/qmime.h \
		../../src/kernel/qmovie.h \
		../../src/kernel/qnamespace.h \
		../../src/kernel/qnetworkprotocol.h \
		../../src/kernel/qobject.h \
		../../src/kernel/qobjectcleanuphandler.h \
		../../src/kernel/qobjectdefs.h \
		../../src/kernel/qobjectdict.h \
		../../src/kernel/qobjectlist.h \
		../../src/kernel/qpaintdevice.h \
		../../src/kernel/qpaintdevicedefs.h \
		../../src/kernel/qpainter.h \
		../../src/kernel/qpainter_p.h \
		../../src/kernel/qpalette.h \
		../../src/kernel/qpaintdevicemetrics.h \
		../../src/kernel/qpen.h \
		../../src/kernel/qpicture.h \
		../../src/kernel/qpixmap.h \
		../../src/kernel/qpixmapcache.h \
		../../src/kernel/qpointarray.h \
		../../src/kernel/qpoint.h \
		../../src/kernel/qpolygonscanner.h \
		../../src/kernel/qprinter.h \
		../../src/kernel/qprocess.h \
		../../src/kernel/qrect.h \
		../../src/kernel/qregion.h \
		../../src/kernel/qsessionmanager.h \
		../../src/kernel/qsignal.h \
		../../src/kernel/qsignalmapper.h \
		../../src/kernel/qsignalslotimp.h \
		../../src/kernel/qsize.h \
		../../src/kernel/qsizegrip.h \
		../../src/kernel/qsizepolicy.h \
		../../src/kernel/qsocketnotifier.h \
		../../src/kernel/qsound.h \
		../../src/kernel/qstyle.h \
		../../src/kernel/qstylesheet.h \
		../../src/kernel/qthread.h \
		../../src/kernel/qtimer.h \
		../../src/kernel/qurl.h \
		../../src/kernel/qlocalfs.h \
		../../src/kernel/qurloperator.h \
		../../src/kernel/qurlinfo.h \
		../../src/kernel/qwidget.h \
		../../src/kernel/qwidgetintdict.h \
		../../src/kernel/qwidgetlist.h \
		../../src/kernel/qwindowdefs.h \
		../../src/kernel/qwmatrix.h \
		../../src/kernel/qvariant.h \
		../../src/kernel/qrichtext_p.h \
		../../src/kernel/qinternal_p.h \
		../../src/kernel/qgplugin.h \
		../../src/kernel/qsimplerichtext.h \
		../../src/kernel/qpsprinter_p.h \
		../../src/kernel/qfontdatabase.h \
		../../src/widgets/qbuttongroup.h \
		../../src/widgets/qbutton.h \
		../../src/widgets/qcheckbox.h \
		../../src/widgets/qcombobox.h \
		../../src/widgets/qwidgetresizehandler_p.h \
		../../src/widgets/qdial.h \
		../../src/widgets/qdockarea.h \
		../../src/widgets/qdockwindow.h \
		../../src/widgets/qframe.h \
		../../src/widgets/qgrid.h \
		../../src/widgets/qgridview.h \
		../../src/widgets/qgroupbox.h \
		../../src/widgets/qhbuttongroup.h \
		../../src/widgets/qheader.h \
		../../src/widgets/qhgroupbox.h \
		../../src/widgets/qhbox.h \
		../../src/widgets/qlabel.h \
		../../src/widgets/qlcdnumber.h \
		../../src/widgets/qlineedit.h \
		../../src/widgets/qlistbox.h \
		../../src/widgets/qlistview.h \
		../../src/widgets/qmainwindow.h \
		../../src/widgets/qmenubar.h \
		../../src/widgets/qmenudata.h \
		../../src/widgets/qmultilineedit.h \
		../../src/widgets/qpopupmenu.h \
		../../src/widgets/qprogressbar.h \
		../../src/widgets/qpushbutton.h \
		../../src/widgets/qradiobutton.h \
		../../src/widgets/qrangecontrol.h \
		../../src/widgets/qscrollbar.h \
		../../src/widgets/qscrollview.h \
		../../src/widgets/qslider.h \
		../../src/widgets/qspinbox.h \
		../../src/widgets/qsplitter.h \
		../../src/widgets/qstatusbar.h \
		../../src/widgets/qtabbar.h \
		../../src/widgets/qsyntaxhighlighter.h \
		../../src/widgets/qtabwidget.h \
		../../src/widgets/qtitlebar_p.h \
		../../src/widgets/qtoolbar.h \
		../../src/widgets/qtoolbutton.h \
		../../src/widgets/qtooltip.h \
		../../src/widgets/qvalidator.h \
		../../src/widgets/qvbox.h \
		../../src/widgets/qvbuttongroup.h \
		../../src/widgets/qvgroupbox.h \
		../../src/widgets/qwhatsthis.h \
		../../src/widgets/qwidgetstack.h \
		../../src/widgets/qaction.h \
		../../src/widgets/qdatetimeedit.h \
		../../src/widgets/qtextview.h \
		../../src/widgets/qtextbrowser.h \
		../../src/widgets/qtextedit.h \
		../../src/widgets/qwidgetinterface_p.h \
		../../src/widgets/qwidgetplugin.h \
		../../src/dialogs/qcolordialog.h \
		../../src/dialogs/qdialog.h \
		../../src/dialogs/qerrormessage.h \
		../../src/dialogs/qfiledialog.h \
		../../src/dialogs/qfontdialog.h \
		../../src/dialogs/qmessagebox.h \
		../../src/dialogs/qprogressdialog.h \
		../../src/dialogs/qsemimodal.h \
		../../src/dialogs/qtabdialog.h \
		../../src/dialogs/qwizard.h \
		../../src/dialogs/qinputdialog.h \
		../../src/dialogs/qprintdialog.h \
		../../src/iconview/qiconview.h \
		../../src/workspace/qworkspace.h \
		../../src/network/qdns.h \
		../../src/network/qftp.h \
		../../src/network/qhttp.h \
		../../src/network/qhostaddress.h \
		../../src/network/qnetwork.h \
		../../src/network/qserversocket.h \
		../../src/network/qsocket.h \
		../../src/network/qsocketdevice.h \
		../../src/canvas/qcanvas.h \
		../../src/table/qtable.h \
		../../src/xml/qxml.h \
		../../src/xml/qdom.h \
		../../src/xml/qsvgdevice_p.h \
		../../src/sql/qsql.h \
		../../src/sql/qsqlquery.h \
		../../src/sql/qsqldatabase.h \
		../../src/sql/qsqlfield.h \
		../../src/sql/qsqlrecord.h \
		../../src/sql/qsqlcursor.h \
		../../src/sql/qsqlform.h \
		../../src/sql/qeditorfactory.h \
		../../src/sql/qsqleditorfactory.h \
		../../src/sql/qsqldriver.h \
		../../src/sql/qsqldriverinterface_p.h \
		../../src/sql/qsqlextension_p.h \
		../../src/sql/qsqldriverplugin.h \
		../../src/sql/qsqlerror.h \
		../../src/sql/qsqlresult.h \
		../../src/sql/qsqlindex.h \
		../../src/sql/qsqlpropertymap.h \
		../../src/sql/qsqlmanager_p.h \
		../../src/sql/qdatatable.h \
		../../src/sql/qdataview.h \
		../../src/sql/qdatabrowser.h \
		../../src/sql/drivers/psql/qsql_psql.h \
		../../src/sql/drivers/mysql/qsql_mysql.h \
		../../src/sql/drivers/odbc/qsql_odbc.h \
		../../src/kernel/qmngio.h \
		../../src/kernel/qjpegio.h \
		../../src/kernel/qpngio.h \
		../../src/tools/qmemarray.h \
		../../src/tools/qasciicache.h \
		../../src/tools/qasciidict.h \
		../../src/tools/qbitarray.h \
		../../src/tools/qbuffer.h \
		../../src/tools/qcache.h \
		../../src/tools/qcleanuphandler.h \
		../../src/tools/qcomponentfactory_p.h \
		../../src/tools/qcomlibrary_p.h \
		../../src/tools/qcstring.h \
		../../src/tools/qdatastream.h \
		../../src/tools/qdatetime.h \
		../../src/tools/qdeepcopy.h \
		../../src/tools/qdict.h \
		../../src/tools/qdir.h \
		../../src/tools/qdir_p.h \
		../../src/tools/qfile.h \
		../../src/tools/qfiledefs_p.h \
		../../src/tools/qfileinfo.h \
		../../src/tools/qgarray.h \
		../../src/tools/qgcache.h \
		../../src/tools/qgdict.h \
		../../src/tools/qgeneric.h \
		../../src/tools/qglist.h \
		../../src/tools/qglobal.h \
		../../src/tools/qgpluginmanager_p.h \
		../../src/tools/qgvector.h \
		../../src/tools/qintcache.h \
		../../src/tools/qintdict.h \
		../../src/tools/qiodevice.h \
		../../src/tools/qlibrary.h \
		../../src/tools/qlibrary_p.h \
		../../src/tools/qptrlist.h \
		../../src/tools/qmap.h \
		../../src/tools/qmutex.h \
		../../src/tools/qmutex_p.h \
		../../src/tools/qmutexpool_p.h \
		../../src/tools/qpluginmanager_p.h \
		../../src/tools/qptrcollection.h \
		../../src/tools/qptrdict.h \
		../../src/tools/qptrqueue.h \
		../../src/tools/qregexp.h \
		../../src/tools/qsemaphore.h \
		../../src/tools/qsettings.h \
		../../src/tools/qsettings_p.h \
		../../src/tools/qshared.h \
		../../src/tools/qsortedlist.h \
		../../src/tools/qptrstack.h \
		../../src/tools/qstring.h \
		../../src/tools/qstringlist.h \
		../../src/tools/qstrlist.h \
		../../src/tools/qstrvec.h \
		../../src/tools/qtextstream.h \
		../../src/tools/qptrvector.h \
		../../src/tools/qvaluelist.h \
		../../src/tools/qvaluestack.h \
		../../src/tools/qvaluevector.h \
		../../src/tools/qwaitcondition.h \
		../../src/tools/qcom_p.h \
		../../src/tools/qucom_p.h \
		../../src/tools/quuid.h \
		../../src/codecs/qbig5codec.h \
		../../src/codecs/qeucjpcodec.h \
		../../src/codecs/qeuckrcodec.h \
		../../src/codecs/qgb18030codec.h \
		../../src/codecs/qjiscodec.h \
		../../src/codecs/qjpunicode.h \
		../../src/codecs/qrtlcodec.h \
		../../src/codecs/qsjiscodec.h \
		../../src/codecs/qtextcodec.h \
		../../src/codecs/qtsciicodec.h \
		../../src/codecs/qutfcodec.h \
		../../src/codecs/qtextcodecinterface_p.h \
		../../src/codecs/qtextcodecfactory.h \
		../../src/codecs/qtextcodecplugin.h \
		../../src/codecs/qfontcodecs_p.h \
		../../src/styles/qstylefactory.h \
		../../src/styles/qstyleinterface_p.h \
		../../src/styles/qstyleplugin.h \
		../../src/styles/qcommonstyle.h \
		../../src/styles/qcdestyle.h \
		../../src/styles/qmotifplusstyle.h \
		../../src/styles/qplatinumstyle.h \
