=== qt-build-dir/tools/Makefile ===
#############################################################################
# Makefile for building: tools
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:22 2003
# Project:  ../../tools/tools.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-assistant-lib \
		sub-designer \
		sub-assistant \
		sub-linguist \
		sub-qtconfig \
		sub-mergetr \
		sub-qconfig \
		sub-makeqpf \
		sub-msg2qm \
		sub-qembed

first: all

all: Makefile $(SUBTARGETS)

assistant/lib/$(MAKEFILE): 
	cd assistant/lib && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-assistant-lib: assistant/lib/$(MAKEFILE) FORCE
	cd assistant/lib && $(MAKE) -f $(MAKEFILE)

designer/$(MAKEFILE): 
	cd designer && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-designer: designer/$(MAKEFILE) FORCE
	cd designer && $(MAKE) -f $(MAKEFILE)

assistant/$(MAKEFILE): 
	cd assistant && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-assistant: assistant/$(MAKEFILE) FORCE
	cd assistant && $(MAKE) -f $(MAKEFILE)

linguist/$(MAKEFILE): 
	cd linguist && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-linguist: linguist/$(MAKEFILE) FORCE
	cd linguist && $(MAKE) -f $(MAKEFILE)

qtconfig/$(MAKEFILE): 
	cd qtconfig && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qtconfig: qtconfig/$(MAKEFILE) FORCE
	cd qtconfig && $(MAKE) -f $(MAKEFILE)

mergetr/$(MAKEFILE): 
	cd mergetr && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-mergetr: mergetr/$(MAKEFILE) FORCE
	cd mergetr && $(MAKE) -f $(MAKEFILE)

qconfig/$(MAKEFILE): 
	cd qconfig && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qconfig: qconfig/$(MAKEFILE) FORCE
	cd qconfig && $(MAKE) -f $(MAKEFILE)

makeqpf/$(MAKEFILE): 
	cd makeqpf && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-makeqpf: makeqpf/$(MAKEFILE) FORCE
	cd makeqpf && $(MAKE) -f $(MAKEFILE)

msg2qm/$(MAKEFILE): 
	cd msg2qm && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-msg2qm: msg2qm/$(MAKEFILE) FORCE
	cd msg2qm && $(MAKE) -f $(MAKEFILE)

qembed/$(MAKEFILE): 
	cd qembed && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qembed: qembed/$(MAKEFILE) FORCE
	cd qembed && $(MAKE) -f $(MAKEFILE)

sub-designer: sub-assistant-lib
sub-assistant: sub-designer
sub-linguist: sub-assistant
sub-qtconfig: sub-linguist
sub-mergetr: sub-qtconfig
sub-qconfig: sub-mergetr
sub-makeqpf: sub-qconfig
sub-msg2qm: sub-makeqpf
sub-qembed: sub-msg2qm

Makefile: ../../tools/tools.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro

all: $(SUBTARGETS)
qmake_all: assistant/lib/$(MAKEFILE) designer/$(MAKEFILE) assistant/$(MAKEFILE) linguist/$(MAKEFILE) qtconfig/$(MAKEFILE) mergetr/$(MAKEFILE) qconfig/$(MAKEFILE) makeqpf/$(MAKEFILE) msg2qm/$(MAKEFILE) qembed/$(MAKEFILE)
	 ( [ -d assistant/lib ] && cd assistant/lib ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d designer ] && cd designer ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d assistant ] && cd assistant ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d linguist ] && cd linguist ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d mergetr ] && cd mergetr ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qconfig ] && cd qconfig ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qembed ] && cd qembed ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uninstall install uiclean mocclean lexclean yaccclean: qmake_all FORCE
	 ( [ -d assistant/lib ] && cd assistant/lib ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d designer ] && cd designer ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d assistant ] && cd assistant ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d linguist ] && cd linguist ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d mergetr ] && cd mergetr ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qconfig ] && cd qconfig ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qembed ] && cd qembed ; $(MAKE) -f $(MAKEFILE) $@; ) || true
distclean: qmake_all FORCE
	 ( [ -d assistant/lib ] && cd assistant/lib ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d designer ] && cd designer ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d assistant ] && cd assistant ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d linguist ] && cd linguist ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d mergetr ] && cd mergetr ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qconfig ] && cd qconfig ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qembed ] && cd qembed ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

FORCE:
