=== qt-build-dir/tutorial/Makefile ===
#############################################################################
# Makefile for building: tutorial
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:34 2003
# Project:  ../../tutorial/tutorial.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-t1 \
		sub-t2 \
		sub-t3 \
		sub-t4 \
		sub-t5 \
		sub-t6 \
		sub-t7 \
		sub-t8 \
		sub-t9 \
		sub-t10 \
		sub-t11 \
		sub-t12 \
		sub-t13 \
		sub-t14

first: all

all: Makefile $(SUBTARGETS)

t1/$(MAKEFILE): 
	cd t1 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t1: t1/$(MAKEFILE) FORCE
	cd t1 && $(MAKE) -f $(MAKEFILE)

t2/$(MAKEFILE): 
	cd t2 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t2: t2/$(MAKEFILE) FORCE
	cd t2 && $(MAKE) -f $(MAKEFILE)

t3/$(MAKEFILE): 
	cd t3 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t3: t3/$(MAKEFILE) FORCE
	cd t3 && $(MAKE) -f $(MAKEFILE)

t4/$(MAKEFILE): 
	cd t4 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t4: t4/$(MAKEFILE) FORCE
	cd t4 && $(MAKE) -f $(MAKEFILE)

t5/$(MAKEFILE): 
	cd t5 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t5: t5/$(MAKEFILE) FORCE
	cd t5 && $(MAKE) -f $(MAKEFILE)

t6/$(MAKEFILE): 
	cd t6 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t6: t6/$(MAKEFILE) FORCE
	cd t6 && $(MAKE) -f $(MAKEFILE)

t7/$(MAKEFILE): 
	cd t7 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t7: t7/$(MAKEFILE) FORCE
	cd t7 && $(MAKE) -f $(MAKEFILE)

t8/$(MAKEFILE): 
	cd t8 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t8: t8/$(MAKEFILE) FORCE
	cd t8 && $(MAKE) -f $(MAKEFILE)

t9/$(MAKEFILE): 
	cd t9 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t9: t9/$(MAKEFILE) FORCE
	cd t9 && $(MAKE) -f $(MAKEFILE)

t10/$(MAKEFILE): 
	cd t10 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t10: t10/$(MAKEFILE) FORCE
	cd t10 && $(MAKE) -f $(MAKEFILE)

t11/$(MAKEFILE): 
	cd t11 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t11: t11/$(MAKEFILE) FORCE
	cd t11 && $(MAKE) -f $(MAKEFILE)

t12/$(MAKEFILE): 
	cd t12 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t12: t12/$(MAKEFILE) FORCE
	cd t12 && $(MAKE) -f $(MAKEFILE)

t13/$(MAKEFILE): 
	cd t13 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t13: t13/$(MAKEFILE) FORCE
	cd t13 && $(MAKE) -f $(MAKEFILE)

t14/$(MAKEFILE): 
	cd t14 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t14: t14/$(MAKEFILE) FORCE
	cd t14 && $(MAKE) -f $(MAKEFILE)

Makefile: ../../tutorial/tutorial.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro

all: $(SUBTARGETS)
qmake_all: t1/$(MAKEFILE) t2/$(MAKEFILE) t3/$(MAKEFILE) t4/$(MAKEFILE) t5/$(MAKEFILE) t6/$(MAKEFILE) t7/$(MAKEFILE) t8/$(MAKEFILE) t9/$(MAKEFILE) t10/$(MAKEFILE) t11/$(MAKEFILE) t12/$(MAKEFILE) t13/$(MAKEFILE) t14/$(MAKEFILE)
	 ( [ -d t1 ] && cd t1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t2 ] && cd t2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t3 ] && cd t3 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t4 ] && cd t4 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t5 ] && cd t5 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t6 ] && cd t6 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t7 ] && cd t7 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t8 ] && cd t8 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t9 ] && cd t9 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t10 ] && cd t10 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t11 ] && cd t11 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t12 ] && cd t12 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t13 ] && cd t13 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t14 ] && cd t14 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uninstall install uiclean mocclean lexclean yaccclean: qmake_all FORCE
	 ( [ -d t1 ] && cd t1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t2 ] && cd t2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t3 ] && cd t3 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t4 ] && cd t4 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t5 ] && cd t5 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t6 ] && cd t6 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t7 ] && cd t7 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t8 ] && cd t8 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t9 ] && cd t9 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t10 ] && cd t10 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t11 ] && cd t11 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t12 ] && cd t12 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t13 ] && cd t13 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t14 ] && cd t14 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
distclean: qmake_all FORCE
	 ( [ -d t1 ] && cd t1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t2 ] && cd t2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t3 ] && cd t3 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t4 ] && cd t4 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t5 ] && cd t5 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t6 ] && cd t6 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t7 ] && cd t7 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t8 ] && cd t8 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t9 ] && cd t9 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t10 ] && cd t10 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t11 ] && cd t11 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t12 ] && cd t12 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t13 ] && cd t13 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t14 ] && cd t14 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

FORCE:
