=== qt-build-dir/examples/action/Makefile ===
#############################################################################
# Makefile for building: action
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:38 2003
# Project:  ../../../examples/action/action.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/action -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/action/application.h
SOURCES = ../../../examples/action/application.cpp \
		../../../examples/action/main.cpp
OBJECTS = .obj/release-static/application.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_application.cpp
OBJMOC = .obj/release-static/moc_application.o
DIST	   = ../../../examples/action/action.pro
QMAKE_TARGET = action
DESTDIR  = 
TARGET   = action

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/action/action.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro

dist: 
	@mkdir -p ../../../examples/action/.obj/release-static/action && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/action/.obj/release-static/action/ && ( cd `dirname ../../../examples/action/.obj/release-static/action` && $(TAR) action.tar action && $(GZIP) action.tar ) && $(MOVE) `dirname ../../../examples/action/.obj/release-static/action`/action.tar.gz . && $(DEL_FILE) -r ../../../examples/action/.obj/release-static/action

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/application.o: ../../../examples/action/application.cpp ../../../examples/action/application.h \
		../../../include/qimage.h \
		../../../include/qpixmap.h \
		../../../include/qtoolbar.h \
		../../../include/qtoolbutton.h \
		../../../include/qpopupmenu.h \
		../../../include/qmenubar.h \
		../../../include/qtextedit.h \
		../../../include/qfile.h \
		../../../include/qfiledialog.h \
		../../../include/qstatusbar.h \
		../../../include/qmessagebox.h \
		../../../include/qprinter.h \
		../../../include/qapplication.h \
		../../../include/qaccel.h \
		../../../include/qtextstream.h \
		../../../include/qpainter.h \
		../../../include/qpaintdevicemetrics.h \
		../../../include/qwhatsthis.h \
		../../../include/qaction.h \
		../../../examples/action/filesave.xpm \
		../../../examples/action/fileopen.xpm \
		../../../examples/action/fileprint.xpm \
		../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qptrlist.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qbutton.h \
		../../../include/qiconset.h \
		../../../include/qkeysequence.h \
		../../../include/qmenudata.h \
		../../../include/qsignal.h \
		../../../include/qvariant.h \
		../../../include/qscrollview.h \
		../../../include/qstylesheet.h \
		../../../include/qptrvector.h \
		../../../include/qscrollbar.h \
		../../../include/qrangecontrol.h \
		../../../include/qdict.h \
		../../../include/qgvector.h \
		../../../include/qgdict.h \
		../../../include/qdir.h \
		../../../include/qdialog.h \
		../../../include/qurloperator.h \
		../../../include/qurlinfo.h \
		../../../include/qfileinfo.h \
		../../../include/qdatetime.h \
		../../../include/qurl.h \
		../../../include/qnetworkprotocol.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qtranslator.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h \
		../../../include/qcursor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/application.o ../../../examples/action/application.cpp

.obj/release-static/main.o: ../../../examples/action/main.cpp ../../../include/qapplication.h \
		../../../examples/action/application.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qmainwindow.h \
		../../../include/qtoolbar.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/action/main.cpp

.obj/release-static/moc_application.o: .moc/release-static/moc_application.cpp ../../../examples/action/application.h ../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qtoolbar.h \
		../../../include/qptrlist.h \
		../../../include/qtextstream.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_application.o .moc/release-static/moc_application.cpp

.moc/release-static/moc_application.cpp: $(MOC) ../../../examples/action/application.h
	$(MOC) ../../../examples/action/application.h -o .moc/release-static/moc_application.cpp

####### Install

install: all 

uninstall:
