=== qt-build-dir/examples/biff/Makefile ===
#############################################################################
# Makefile for building: biff
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:42 2003
# Project:  ../../../examples/biff/biff.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/biff -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/biff/biff.h
SOURCES = ../../../examples/biff/biff.cpp \
		../../../examples/biff/main.cpp
OBJECTS = .obj/release-static/biff.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_biff.cpp
OBJMOC = .obj/release-static/moc_biff.o
DIST	   = ../../../examples/biff/biff.pro
QMAKE_TARGET = biff
DESTDIR  = 
TARGET   = biff

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/biff/biff.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro

dist: 
	@mkdir -p ../../../examples/biff/.obj/release-static/biff && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/biff/.obj/release-static/biff/ && ( cd `dirname ../../../examples/biff/.obj/release-static/biff` && $(TAR) biff.tar biff && $(GZIP) biff.tar ) && $(MOVE) `dirname ../../../examples/biff/.obj/release-static/biff`/biff.tar.gz . && $(DEL_FILE) -r ../../../examples/biff/.obj/release-static/biff

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/biff.o: ../../../examples/biff/biff.cpp ../../../examples/biff/biff.h \
		../../../include/qstring.h \
		../../../include/qfileinfo.h \
		../../../include/qpainter.h \
		../../../examples/biff/bmp.cpp \
		../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qfile.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/biff.o ../../../examples/biff/biff.cpp

.obj/release-static/main.o: ../../../examples/biff/main.cpp ../../../include/qapplication.h \
		../../../examples/biff/biff.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/biff/main.cpp

.obj/release-static/moc_biff.o: .moc/release-static/moc_biff.cpp ../../../examples/biff/biff.h ../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_biff.o .moc/release-static/moc_biff.cpp

.moc/release-static/moc_biff.cpp: $(MOC) ../../../examples/biff/biff.h
	$(MOC) ../../../examples/biff/biff.h -o .moc/release-static/moc_biff.cpp

####### Install

install: all 

uninstall:
