=== debian/changelog ===
qt-x11-free (2:3.1.1+cvs.20021220-0woody1-jp2) unstable; urgency=low

  * Apply JKUG extra patchs for improve japanese font.
    qt-x11-free-3.1.0-qfont-jp-family-subst-20021214.patch
    qt-x11-free-3.1.0-qpsprinter-ttc-italic-20021117.patch
  
 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 9 Feb 2003 12:00:00 +0900

qt-x11-free (2:3.1.1+cvs.20021220-0woody1-jp1) unstable; urgency=low

  * Apply JKUG patches
    qt-x11-free-3.1.1-fix-callPosition-XFilterEvent-20021223.diff
    qt-x11-free-3.1.1-qjpunicode-20021223.diff
    qt-x11-free-3.1.1-xim-changeDefaultOverTheSpot-20021223.diff(*1)
    qt-x11-free-3.1.1-xim-toUseAtokx-20021223.diff
  * Note*1 : some of patches are rejected.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 8 Feb 2003 03:11:00 +0900

qt-x11-free (2:3.1.1+cvs.20021220-0woody1) unstable; urgency=low

  * woody backport
  * removed libxft2-dev, changed libpng12-0-dev to libpng-dev, libaudio-dev to
    nas-dev

 -- Ralf Nolden (KDE) <nolden@kde.org>  Mon, 30 Dec 2002 17:05:18 +0100

qt-x11-free (2:3.1.1+cvs.20021220-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.1, using qt-copy from KDE project)
  * Special thanks goes to Kevin Puetz for support and work on this release
  * debian/patches/: Removed patches 05 and 06 and added correct -I's to rules
  * debian/rules: don't build unthreaded plugins with QT_THREAD_SUPPORT (Closes: #172793)
  * debian/control: Fix description of libqt3-helper (Closes: #72754)
  * debian/rules: Moved libqui to libqt3-helper (Closes: #173539, #173537)
  * debian/libqt3-dev.install: Only include useful bits for qmake
  * debian/maintain/qmake-hppa.conf: Added -ftemplate-depth-99 (Closes: #173086)
  * debian/rules: Make sure OpenGL support is enabled on threaded builds
  * debian/rules: Use new srcdir != builddir technology, large cleanup
  * debian/rules: Fixed path for html-files (remove the double html)
  * debian/control: Added Replaces: to libqt3-helper for libqt3 (Closes: #173288)
  * debian/rules: Removed all those ugly wrapper scripts (bah!)
  * debian/control: Added build-dependency for Xft2 - thus Xft2 enabled

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 20 Dec 2002 17:53:00 +0100
 

qt-x11-free (2:3.1.0+cvs.20021205-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.0, using qt-copy from KDE project) (Closes: #167001)
  * debian/control: Make libqt3-dev depending on correct packages (Closes: #167475)
  * debian/rules: Enabled Qt support for cups
  * debian/overrides/: Added overrides-files for various packages
  * debian/control: depend on libaudio instead of nas-lib
  * debian/control: Updated Standards-Version to 3.8.0
  * debian/rules: Use DH_COMPAT=4
  * debian/rules: Converted to dh_install

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 05 Dec 2002 14:10:00 +0100
 

qt-x11-free (2:3.0.5-4) unstable; urgency=low

  * debian/09_assistant.dpatch: Fix doc-dir-path for Qt-assistant (Closes: #148924)
  * debian/10_sizet_64bit.dpatch: Fix for 64bit machines (Closes: #159364)
  * debian/11_qsql_odbc.dpatch: build with libiodbc2-dev
  * debian/control: Build-Depend on libiodbc2-dev (Closes: #161352, #161353)
  * qt3-doc _should_ be Recommends (assistant/qt3-tools needs it) (Closes: #149428)
  * debian/rules: Fixed the 'clean'-target (Closes: #159264)
  * debian/libqt3-dev.links: Symlink for /usr/share/qt/lib (Closes: #152507, #152509)
  * debian/control: Updates Standards-Version
  * debian/control: Tried to solve the dependency hell a bit
  * debian/control: Removed libqt3 Suggests for anti-aliasing-howto
  * debian/rules: Re-enabled NAS (Network Audio System)
  * Must be a local problem (there ARE files in libqt3-dev) (Closes: #159674)
  * Not a Qt bug; has been fixed probably long time ago (Closes: #154976)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 15 Oct 2002 09:29:00 +0200

qt-x11-free (2:3.0.5-3) unstable; urgency=low

  * Sometimes our buildds do strange things (Closes: #155258)
  * debian/rules: added shlibdeps-path for libqt3-mt.
  * debian/rules: libqt3-mysql, libqt3-odbc and libqt3-psql contain the
    unthreaded plugins now (Closes: #152022)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 9 Aug 2002 22:18:00 +0200
     

qt-x11-free (2:3.0.5-2) unstable; urgency=low

  * debian/control: qt3-dev and qt3-doc are "Priority: extra" now.
  * debian/rules: Fix alpha and hppa build (Closes: #150917)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 2 Aug 2002 12:43:00 +0200

qt-x11-free (2:3.0.5-1) unstable; urgency=low

  * debian/control: New Maintainer (Closes: #153534)
  * debian/maintain: fix hppa build (qmake-hppa.conf) (Closes: #150917)
  * debian/changelog: New upstream version 3.0.5 (Closes: #153266)
  * debian/rules: We use dpatch now, thanks to Gergely Nagy
  * Moved wrapper files and configs to debian/maintain/
  * debian/maintain/assistant.sh: not include content double
  * configure: Set "QT_INSTALL_PLUGINS" correct
  * Changed some includes in the SQL-files to make them working
  * debian/control: Fix some build dependencies
  * debian/patches: All patches against upstream can be found here now.
  * debian/control: Depend on libpng3-dev (Closes: #154234).

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 27 Jul 2002 13:51:00 +0200
     

qt-x11-free (2:3.0.4-2) unstable; urgency=low

  * Fix hppa build hopefully (Closes: #150917)
  * Build cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 26 Jun 2002 13:28:00 -0700

qt-x11-free (2:3.0.4-1) unstable; urgency=low

  * New upstream version
  * Fix qt-designer html access (Closes: #149505)
  * Build postgresql modules 
  * This was fixed a while ago.  (Closes: #134637)
  * Build static libs again.  yuk!  Who the heck uses these anymore? 
    (Closes: #147084)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Jun 2002 12:25:00 -0700

qt-copy (2:3.0.3-20020329-7) unstable; urgency=low

  * move html files to html subdir...really...I mean it. (Closes: #149076)


