=== debian/control ===
Source: qt-x11-free
Build-Depends: debhelper (>= 4.1.26), xlibs-dev (>= 4.1.0), libjpeg62-dev, zlib1g-dev, libmng-dev (>= 1.0.3), byacc, libpng-dev, libfreetype6-dev, libiodbc2-dev, libmysqlclient10-dev, flex, postgresql-dev, nas-dev, libcupsys2-dev, xlibmesa-dev
Section: libs
Priority: optional
Maintainer: Martin Loschwitz <madkiss@madkiss.org> 
Standards-Version: 3.5.8

Package: libqt3
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Conflicts: libqt3-gl
Suggests: libqt3-psql, libqt3-mysql, libqt3-odbc
Description: Qt GUI Library (runtime files)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt, e.g. all KDE3 applications.

Package: libqt3-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
Description: Qt GUI Library (Threaded runtime version)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt, e.g. all KDE3 applications.
    
Package: libqt3-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3
 This package contains the mysql plugin for Qt3.
  
Package: libqt3-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3 (Threaded)
 This package contains the threaded mysql plugin for Qt3.

Package: libqt3-helper
Architecture: any
Section: libs
Depends: libqt3-mt (= ${Source-Version})
Replaces: libqt3-mt (<= 2:3.1.0+cvs.20021205-1), libqt3-mt-dev (<= 2:3.1.0+cvs.20021205-1), libqt3 (<= 2:3.1.0+cvs.20021205-1)
Description: Some helper libraries for qt-tools
 This package contains libqassistantclient, libeditor, libdesigner and
 libqui, four helper libraries for the Qt3.1 tools.
 
Package: libqt3-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3
 This package contains the odbc plugin for Qt3.
  
Package: libqt3-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3 (Threaded)
 This package contains the threaded odbc plugin for Qt3.

Package: libqt3-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Postgresql database plugin for Qt3
 This package contains the unthreaded psql plugin for Qt3.

Package: libqt3-mt-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: PG SQL plugin for Qt3 (Threaded)
 This package contains the threaded psql plugin for Qt3.
 
Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt2-mt-dev, libqt3-dev (>= 3.0.5-4)
Depends: libqt3-dev (= ${Source-Version}), libqt3-mt (= ${Source-Version})
Conflicts: libqt2-mt-dev
Suggests: libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt Threaded development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains the development files necessary for
 building threaded Qt applications. 

Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1), qt3-tools (<< 2:3.0.3-20020329-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, qt3-tools (= ${Source-Version}), xlibs-dev (>= 4.1.0), libmng-dev (>= 1.0.3), libpng-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3-helper (= ${Source-Version}), libqt3 (= ${Source-Version})
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, qt3-doc, tmake
Conflicts: libqt2-dev, libqt-dev
Description: Qt GUI development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  The header files, and *moc*, Qt's own Meta Object Compiler, 
 are included.

Package: qt3-tools
Architecture: any
Section: devel
Priority: extra
Replaces: kde-designer, qt-designer, uic, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Recommends: qt3-doc, libqt3-dev, libqt3-mt-dev
Conflicts: kde-designer, qt-designer, uic
Provides: uic, kde-designer, qt-designer
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt GUI Designer and other Qt3 based tools
 This package contains Qt Designer, Qt Linguist, and other tools out of
 the Qt3 toolset.

Package: qt3-doc
Architecture: all
Section: doc
Priority: extra
Replaces: qt-doc
Suggests: libqt3-dev, www-browser, qt3-tools
Conflicts: qt-doc
Description: Tutorial and reference documentation and examples for Qt
 This package contains examples, a tutorial, reference documentation and
 all of the man pages for Qt.
 .
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains a rich set of examples as well as a
 complete tutorial and reference documentation for it.
